<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

/**
 * Interface PluginInterface
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
interface PluginInterface
{
    /**
     * Called before regular plugins are loaded.
     */
    public function attachEarly(): void;

    /**
     * Called after regular plugins are loaded.
     */
    public function attach(): void;
}
